<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <!--CSS -->
    <link th:href="@{/css/lightpick.css}" rel="stylesheet" type="text/css">

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script th:src="@{/js/lightpick.js}" type="text/javascript"></script>
</head>
<body>
<!--SLIDER-->
<!--<div>
    <input id="slider" type="text"/>

    <script>
        var slider = new Slider("#slider", {
            id: "slider",
            min: 0,
            max: 100,
            range: true,
            value: [3, 7]
        });
    </script>

    <style>
        #slider .slider-selection {
            background: orange;
        }
    </style>
</div>-->

<div class="d-flex flex-nowrap w-100"
     th:fragment="rangePickerFromToDate(fromValue, fromLabel, toValue, toLabel)">

    <label class="mr-2 d-none d-sm-block"
           th:if="${fromLabel != null && fromLabel != ''}"
           for="fromDateInput" th:text="${fromLabel}"></label>
    <input class="ml-1 form-control form-control-sm"
           id="fromDateInput" name="fromDate">

    <label class="mx-2 d-none d-sm-block"
           th:if="${toLabel != null && toLabel != ''}"
           for="toDateInput" th:text="${toLabel}"></label>
    <input class="ml-1 form-control form-control-sm"
           id="toDateInput" name="toDate">

    <script th:inline="javascript">
        /*<![CDATA[*/

        var fromInput = $('#fromDateInput');
        var toInput = $('#toDateInput');


        var rangePickerFromToDate = new Lightpick({
            field: fromInput[0],
            secondField: toInput[0],
            startDate: /*[[${fromValue}]]*/ '',
            endDate: /*[[${toValue}]]*/ '',
            repick: true,
            hoveringTooltip: false,
            format: "DD.MM.YYYY"
        });

        function restoreRangePickerFromToDate(fromValue, toValue) {
            fromInput.val(fromValue);
            toInput.val(toValue);
            rangePickerFromToDate.setDateRange(fromValue, toValue);
        }

        /*]]>*/
    </script>
</div>

<!--<div class="d-flex flex-nowrap w-100"-->
<!--th:fragment="rangePicker(fromName, fromValue, fromLabel, toName, toValue, toLabel)">-->

<!--<label class="mr-2 d-none d-sm-block"-->
<!--th:if="${fromLabel != null && fromLabel != ''}"-->
<!--th:for="${fromName}" th:text="${fromLabel}"></label>-->
<!--<input class="mx-1 form-control form-control-sm"-->
<!--th:id="${fromName}" th:name="${fromName}">-->

<!--<label class="mx-2 d-none d-sm-block"-->
<!--th:if="${toLabel != null && toLabel != ''}"-->
<!--th:for="${toName}" th:text="${toLabel}"></label>-->
<!--<input class="ml-1 form-control form-control-sm"-->
<!--th:id="${toName}" th:name="${toName}">-->

<!--<script th:inline="javascript">-->
<!--/*<![CDATA[*/-->

<!--new Lightpick({-->
<!--field: document.getElementById(/*[[${fromName}]]*/ ''),-->
<!--secondField: document.getElementById(/*[[${toName}]]*/ ''),-->
<!--startDate: /*[[${fromValue}]]*/ '',-->
<!--endDate: /*[[${toValue}]]*/ '',-->
<!--repick: true,-->
<!--format: "DD.MM.YYYY"-->
<!--});-->

<!--/*]]>*/-->
<!--</script>-->
<!--</div>-->

<div th:fragment="singleRangePicker(name, value)">

    <input th:id="${name}" th:name="${name}" th:value="${value}" class="form-control form-control-sm">

    <script th:inline="javascript">
        /*<![CDATA[*/

        new Lightpick({
            field: document.getElementById(/*[[${name}]]*/ ''),
            startDate: /*[[${value}]]*/ '',
            singleDate: false,
            format: "DD.MM.YYYY"
        });

        /*]]>*/
    </script>

</div>

<div th:fragment="datePicker(name, value, label)">

    <div class="row">
        <label class="col-sm-5" th:if="${label != null && label != ''}" th:for="${name}" th:text="${label}"></label>
        <input th:classappend="${label != null && label != ''} ? 'col-sm-7' : ''"
               th:id="${name}" th:name="${name}" th:value="${value}" class="form-control form-control-sm">
    </div>

    <script th:inline="javascript">
        /*<![CDATA[*/

        new Lightpick({
            field: document.getElementById(/*[[${name}]]*/ ''),
            startDate: /*[[${value}]]*/ '',
            format: "DD.MM.YYYY"
        });

        /*]]>*/
    </script>

</div>

</body>
</html>